Bug 1201 - vzctl chkpnt creates a dump file if it fails
vzctl chkpnt creates a dump file if it fails
Status: CLOSED FIXED
Product: OpenVZ
Classification: Unclassified
Component: vzctl
zzz-rhel5-2.6.18_028stabXXX
x86 (i386) Debian
: P2 normal
Assigned To: Igor Sukhih
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-02 07:18 EST by Richard
Modified: 2015-03-17 04:24 EDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard 2009-03-02 07:18:24 EST
If the command vzctl chkpnt fails for any reason, it still writes a dump file with some data.  I believe this file should be cleaned up if the command fails.

I've also submitted another bug, #1200, which can be used as a test case - calling chkpnt on a container without iptables will cause the command to fail, but the dump file will still be there:

TestOpenVZ:/vz/dump# ls *236 -l
ls: *236: No such file or directory
TestOpenVZ:/vz/dump# vzctl chkpnt 236
Setting up checkpoint...
        suspend...
        dump...
Can not dump container: Invalid argument
Error: iptables-save exited with 255
Checkpointing failed
TestOpenVZ:/vz/dump# ls *236 -l
-rw------- 1 root root 13176 2009-03-02 12:17 Dump.236
TestOpenVZ:/vz/dump#
Comment 1 Kir Kolyshkin 2009-11-08 17:42:39 EST
Thanks for reporting!

Fixed in GIT:
http://git.openvz.org/?p=vzctl;a=commit;h=a12bf01dd3056834155ece86327bfd295f154790

Will be available in vzctl >= 3.0.24. Or test the patch from git if you can.
Comment 2 Sergey Bronnikov 2015-03-17 04:24:39 EDT
Bug was fixed more than one year ago and there were no complains from reporter after fix. We believe bug fix helped and mark bug as closed.